Subject: Re: bug#10946: 24.0.94; eval-after-load incompatible change

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Mar 2012 12:06:13 -0500

>> I don't understand why it should have such a consequence.
> Because now you have to worry about load-file-name, which means
> (eval-after-load 'feature ... ) does nothing unless the file provided
> that feature is loaded. i.e. it is almost the same as (eval-after-load
> "file" ...).

I didn't mean to say that provide should run the after-load thingies
when load-file-name is nil.  I meant to say that in your case, this
would only be a workaround, whereas the real fix should be to setup
load-file-name appropriately (tho it's only a guess on my part, since
I don't fully understand what's going on).

        Stefan